Issue1783088

classification
Title: patch for :[ 1758282 ] complex missing __coerce__
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pjenvey, ukeshav
Priority: normal Keywords: patch

Created on 2007-08-28.07:00:07 by ukeshav, last changed 2008-04-07.04:00:39 by pjenvey.

Files
File name Uploaded Description Edit Remove
bug_complex.diff ukeshav, 2007-09-19.10:16:51 patch file
Messages
msg2826 (view) Author: keshav upadhyaya (ukeshav) Date: 2007-08-28.07:00:07
Now this function have been added in PyComplex 
and in the test_complex i have added two more test cases please see if they are useful..!!!!

test file is working fine.
msg2827 (view) Author: keshav upadhyaya (ukeshav) Date: 2007-09-19.10:16:51
Up loading new patch which contain the diff of expose file and all the other effected file..

Please review the patch so that it will help me to fix some other bugs. 

File Added: bug_complex.diff
msg2828 (view) Author: Philip Jenvey (pjenvey) Date: 2007-09-22.01:13:41
ukeshav -

I haven't played with __coerce__ before, but I notice that PyObject __coerce__ method says that it shouldn't be overridden, and that subclasses should use __coerce_ex__. Might this patch be rewritten to use __coerce_ex__ instead?
msg2829 (view) Author: keshav upadhyaya (ukeshav) Date: 2007-09-24.05:16:09
pjenvey:-

PyComplex is having this function  __coerce_ex__  and Internally this function is only going to use .
__coerce__ is final.. and can not be override again .

I will tell u the flow of my code :-
complex___coerce__ fun is calling __coerce__ and then  finally ___coerce_ex__ function will be called ..


The same approach is used for int , long and float types..

and i hope this is a good way to do..

let me knw for any improvement or suggestion 



msg3122 (view) Author: Philip Jenvey (pjenvey) Date: 2008-04-07.03:59:50
applied in r4312, thanks ukeshav!
msg3123 (view) Author: Philip Jenvey (pjenvey) Date: 2008-04-07.04:00:39
sorry for the dumb question, you obviously didn't overwrite __coerce__

fixed in r4312, thanks ukeshav!
History
Date User Action Args
2008-04-07 04:00:39pjenveysetmessages: + msg3123
2008-04-07 03:59:50pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3122
components: + Core, - None
2007-08-28 07:00:07ukeshavcreate